### Hierarchy

- JsonFormsArrayControl
  - MasterListComponent

### Implements

- OnInit
- OnDestroy
- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- addItem
- changeDetectorRef
- data
- description
- disabled
- enabled
- error
- form
- getEventValue
- hidden
- highlightedIdx
- id
- jsonFormsService
- label
- masterItems
- path
- propsPath
- removeItems
- rootSchema
- schema
- scopedSchema
- selectedItem
- selectedItemIdx
- subscription
- uischema
- validator
- visible

### Methods

- getOwnProps
- isEnabled
- mapAdditionalProps
- mapToProps
- ngOnDestroy
- ngOnInit
- onAddClick
- onChange
- onDeleteClick
- onListItemHover
- onSelect
- shouldShowUnfocusedDescription
- trackElement
- triggerValidation

## Constructors

### constructor

- new MasterListComponent(jsonformsService: JsonFormsAngularService, changeDetectorRef: ChangeDetectorRef): MasterListComponent

- Overrides JsonFormsAbstractControl.__constructor

  - Defined in angular-material/src/other/master-detail/master.ts:146

  #### Parameters

  - ##### jsonformsService: JsonFormsAngularService

  - ##### changeDetectorRef: ChangeDetectorRef

  #### Returns MasterListComponent

## Properties

### addItem

addItem: function

- Defined in angular-material/src/other/master-detail/master.ts:143

#### Type declaration

- - (path: string, value: any): function

  - #### Parameters

    - ##### path: string

    - ##### value: any

    #### Returns function

    - - (): void

      - #### Returns void

### Private changeDetectorRef

changeDetectorRef: ChangeDetectorRef

- Defined in angular-material/src/other/master-detail/master.ts:148

### data

data: any

Inherited from JsonFormsAbstractControl.data

- Defined in angular/lib/abstract-control.d.ts:14

### description

description: string

Inherited from JsonFormsAbstractControl.description

- Defined in angular/lib/abstract-control.d.ts:16

### disabled

disabled: boolean

Inherited from JsonFormsAbstractControl.disabled

- Defined in angular/lib/abstract-control.d.ts:10

### enabled

enabled: boolean

Inherited from JsonFormsAbstractControl.enabled

- Defined in angular/lib/abstract-control.d.ts:20

### error

error: string | null

Inherited from JsonFormsAbstractControl.error

- Defined in angular/lib/abstract-control.d.ts:17

### form

form: FormControl

Inherited from JsonFormsAbstractControl.form

- Defined in angular/lib/abstract-control.d.ts:12

### getEventValue

getEventValue: function

Inherited from JsonFormsAbstractControl.getEventValue

- Defined in angular/lib/abstract-control.d.ts:24

#### Type declaration

- - (event: any): any

  - #### Parameters

    - ##### event: any

    #### Returns any

### hidden

hidden: boolean

Inherited from JsonFormsAbstractControl.hidden

- Defined in angular/lib/abstract-control.d.ts:21

### highlightedIdx

highlightedIdx: number

- Defined in angular-material/src/other/master-detail/master.ts:146

### id

id: string

Inherited from JsonFormsAbstractControl.id

- Defined in angular/lib/abstract-control.d.ts:9

### Protected jsonFormsService

jsonFormsService: JsonFormsAngularService

Inherited from JsonFormsAbstractControl.jsonFormsService

- Defined in angular/lib/abstract-control.d.ts:8

### label

label: string

Inherited from JsonFormsAbstractControl.label

- Defined in angular/lib/abstract-control.d.ts:15

### masterItems

masterItems: any[]

- Defined in angular-material/src/other/master-detail/master.ts:140

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in angular/lib/base.renderer.d.ts:5

### propsPath

propsPath: string

Overrides JsonFormsAbstractControl.propsPath

- Defined in angular-material/src/other/master-detail/master.ts:145

### removeItems

removeItems: function

- Defined in angular-material/src/other/master-detail/master.ts:144

#### Type declaration

- - (path: string, toDelete: number[]): function

  - #### Parameters

    - ##### path: string

    - ##### toDelete: number[]

    #### Returns function

    - - (): void

      - #### Returns void

### rootSchema

rootSchema: JsonSchema

Inherited from JsonFormsAbstractControl.rootSchema

- Defined in angular/lib/abstract-control.d.ts:19

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in angular/lib/base.renderer.d.ts:4

### scopedSchema

scopedSchema: JsonSchema

Inherited from JsonFormsAbstractControl.scopedSchema

- Defined in angular/lib/abstract-control.d.ts:18

### selectedItem

selectedItem: any

- Defined in angular-material/src/other/master-detail/master.ts:141

### selectedItemIdx

selectedItemIdx: number

- Defined in angular-material/src/other/master-detail/master.ts:142

### subscription

subscription: Subscription

Inherited from JsonFormsAbstractControl.subscription

- Defined in angular/lib/abstract-control.d.ts:13

### uischema

uischema: ControlElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in angular/lib/base.renderer.d.ts:3

### validator

validator: ValidatorFn

Inherited from JsonFormsAbstractControl.validator

- Defined in angular/lib/abstract-control.d.ts:28

### visible

visible: boolean

Inherited from JsonFormsAbstractControl.visible

- Defined in angular/lib/abstract-control.d.ts:11

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfControl

- Inherited from JsonFormsAbstractControl.getOwnProps

  Overrides JsonFormsBaseRenderer.getOwnProps

  - Defined in angular/lib/abstract-control.d.ts:32

  #### Returns OwnPropsOfControl

### isEnabled

- isEnabled(): boolean

- Inherited from JsonFormsAbstractControl.isEnabled

  - Defined in angular/lib/abstract-control.d.ts:31

  #### Returns boolean

### mapAdditionalProps

- mapAdditionalProps(props: ArrayControlProps): void

- Overrides JsonFormsAbstractControl.mapAdditionalProps

  - Defined in angular-material/src/other/master-detail/master.ts:168

  #### Parameters

  - ##### props: ArrayControlProps

  #### Returns void

### Protected mapToProps

- mapToProps(state: JsonFormsState): StatePropsOfArrayControl

- Overrides JsonFormsArrayControl.mapToProps

  - Defined in angular-material/src/other/master-detail/master.ts:244

  #### Parameters

  - ##### state: JsonFormsState

  #### Returns StatePropsOfArrayControl

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from JsonFormsAbstractControl.ngOnDestroy

  - Defined in angular/lib/abstract-control.d.ts:30

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Overrides JsonFormsAbstractControl.ngOnInit

  - Defined in angular-material/src/other/master-detail/master.ts:160

  #### Returns void

### onAddClick

- onAddClick(): void

- - Defined in angular-material/src/other/master-detail/master.ts:236

  #### Returns void

### onChange

- onChange(ev: any): void

- Inherited from JsonFormsAbstractControl.onChange

  - Defined in angular/lib/abstract-control.d.ts:25

  #### Parameters

  - ##### ev: any

  #### Returns void

### onDeleteClick

- onDeleteClick(item: number): void

- - Defined in angular-material/src/other/master-detail/master.ts:240

  #### Parameters

  - ##### item: number

  #### Returns void

### onListItemHover

- onListItemHover(idx: number): void

- - Defined in angular-material/src/other/master-detail/master.ts:152

  #### Parameters

  - ##### idx: number

  #### Returns void

### onSelect

- onSelect(item: any, idx: number): void

- - Defined in angular-material/src/other/master-detail/master.ts:231

  #### Parameters

  - ##### item: any

  - ##### idx: number

  #### Returns void

### shouldShowUnfocusedDescription

- shouldShowUnfocusedDescription(): boolean

- Inherited from JsonFormsAbstractControl.shouldShowUnfocusedDescription

  - Defined in angular/lib/abstract-control.d.ts:26

  #### Returns boolean

### trackElement

- trackElement(_index: number, element: any): any

- - Defined in angular-material/src/other/master-detail/master.ts:156

  #### Parameters

  - ##### _index: number

  - ##### element: any

  #### Returns any

### Protected triggerValidation

- triggerValidation(): void

- Inherited from JsonFormsAbstractControl.triggerValidation

  - Defined in angular/lib/abstract-control.d.ts:34

  #### Returns void

Generated using TypeDoc